---
title: CanvasRenderingContext2D.isPointInStroke()
slug: Web/API/CanvasRenderingContext2D/isPointInStroke
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Method
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>CanvasRenderingContext2D</strong></code><strong><code>.isPointInStroke()</code></strong> method of the Canvas 2D API reports whether or not the specified point is inside the area contained by the stroking of a path.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>ctx</em>.isPointInStroke(<em>x</em>, <em>y</em>);
<em>ctx</em>.isPointInStroke(<em>path</em>, <em>x</em>, <em>y</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>x</code></dt>
 <dd>The x-axis coordinate of the point to check.</dd>
 <dt><code>y</code></dt>
 <dd>The y-axis coordinate of the point to check.</dd>
 <dt><code>path</code></dt>
 <dd>A {{domxref("Path2D")}} path to check against. If unspecified, the current path is used.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>{{jsxref("Boolean")}}</dt>
 <dd>A Boolean, which is <code>true</code> if the point is inside the area contained by the stroking of a path, otherwise <code>false</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Checking_a_point_in_the_current_path">Checking a point in the current path</h3>

<p>This example uses the <code>isPointInStroke()</code> method to check if a point is within the area of the current path's stroke.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
&lt;p&gt;In stroke: &lt;code id="result"&gt;false&lt;/code&gt;&lt;/p&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js; highlight:[7]">const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');
const result = document.getElementById('result');

ctx.rect(10, 10, 100, 100);
ctx.stroke();
result.innerText = ctx.isPointInStroke(50, 10);
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Checking_a_point_in_the_current_path', 700, 220) }}</p>

<h3 id="Checking_a_point_in_the_specified_path">Checking a point in the specified path</h3>

<p>Whenever you move the mouse, this example checks whether the cursor is in the stroke of an elliptical <code>Path2D</code> path. If yes, the ellipse's stroke becomes green, otherwise it is red.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<h4 id="JavaScript_2">JavaScript</h4>

<pre class="brush: js">const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');

// Create ellipse
const ellipse = new Path2D();
ellipse.ellipse(150, 75, 40, 60, Math.PI * .25, 0, 2 * Math.PI);
ctx.lineWidth = 25;
ctx.strokeStyle = 'red';
ctx.fill(ellipse);
ctx.stroke(ellipse);

// Listen for mouse moves
canvas.addEventListener('mousemove', function(event) {
  // Check whether point is inside ellipse's stroke
  if (ctx.isPointInStroke(ellipse, event.offsetX, event.offsetY)) {
    ctx.strokeStyle = 'green';
  }
  else {
    ctx.strokeStyle = 'red';
  }

  // Draw ellipse
  ctx.clearRect(0, 0, canvas.width, canvas.height);
  ctx.fill(ellipse);
  ctx.stroke(ellipse);
});
</pre>

<h4 id="Result_2">Result</h4>

<p>{{ EmbedLiveSample('Checking_a_point_in_the_specified_path', 700, 180) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#dom-context-2d-ispointinstroke", "CanvasRenderingContext2D.isPointInStroke")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.isPointInStroke")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this method: {{domxref("CanvasRenderingContext2D")}}</li>
</ul>
